Name:           python-jupyterlab-launcher
Version:        0.10.4
Release:        1%{?dist}
Summary:        JupyterLab Launcher

License:        BSD
URL:            http://jupyter.org
# https://github.com/jupyterlab/jupyterlab_launcher/pull/42
# Source0:        https://files.pythonhosted.org/packages/source/j/jupyterlab-launcher/jupyterlab_launcher-%%{version}.tar.gz
Source0:        https://github.com/jupyterlab/jupyterlab_launcher/archive/v0.10.4/jupyterlab_launcher-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(jsonschema) >= 2.6.0
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(notebook) >= 4.2.0
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(setuptools)

%?python_enable_dependency_generator

%description
This package is used to launch an application built using JupyterLab.

%package -n     python3-jupyterlab-launcher
Summary:        %{summary}
%{?python_provide:%python_provide python3-jupyterlab-launcher}
 
%description -n python3-jupyterlab-launcher
This package is used to launch an application built using JupyterLab.


%prep
%autosetup -n jupyterlab_launcher-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m pytest -vv

%files -n python3-jupyterlab-launcher
%license LICENSE
%doc README.md
%{python3_sitelib}/jupyterlab_launcher
%{python3_sitelib}/jupyterlab_launcher-%{version}-py?.?.egg-info

%changelog
* Tue Feb 20 2018 Miro Hrončok <mhroncok@redhat.com> - 0.10.4-1
- Initial package
